# `wxFileDirPickerEvent`
[🔗](https://github.com/erlang/otp/blob/master/lib/wx/src/gen/wxFileDirPickerEvent.erl#L58)

This event class is used for the events generated by `m:wxFilePickerCtrl` and by `m:wxDirPickerCtrl`.

See:
* `m:wxFilePickerCtrl`

* `m:wxDirPickerCtrl`

This class is derived, and can use functions, from:

* `m:wxCommandEvent`

* `m:wxEvent`

wxWidgets docs: [wxFileDirPickerEvent](https://docs.wxwidgets.org/3.2/classwx_file_dir_picker_event.html)

## Events

Use `wxEvtHandler:connect/3` with `wxFileDirPickerEventType` to subscribe to events of this type.

# `wxFileDirPicker`

```elixir
-type wxFileDirPicker() ::
          #wxFileDirPicker{type :: wxFileDirPickerEvent:wxFileDirPickerEventType(),
                           path :: unicode:chardata()}.
```

# `wxFileDirPickerEvent`

```elixir
-type wxFileDirPickerEvent() :: wx:wx_object().
```

# `wxFileDirPickerEventType`

```elixir
-type wxFileDirPickerEventType() :: command_filepicker_changed | command_dirpicker_changed.
```

# `getPath`

```elixir
-spec getPath(This) -> unicode:charlist() when This :: wxFileDirPickerEvent().
```

Retrieve the absolute path of the file/directory the user has just selected.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
